SCM Creator (+Github) - Bug #2137

Git multiple options does not seem to work
04 Jan 2013 18:34 - Alexandre Lessard
Redmine version: 2.0.3 External issue:

Description

Hi, I've been trying to use multiple option in the scm.yaml for my git repo and it doesn’t seem to work and it pass over all options.

| used it with "--bare” and it was working properly, but | wanted to add a template dir after that the "--bare” option was not even

working.

So from this working code

production:
auto_create: true
deny_delete: false
pre_create: /usr/local/bin/pre-create.sh
post_create: /usr/local/bin/post-create.sh
pre_delete: /usr/local/bin/pre-delete.sh
post_delete: /usr/local/bin/post-delete.sh
git:

path: /path/to/repos

git: /usr/bin/git

options: —--bare

To this not working code :

production:
auto_create: true
deny_delete: false
pre_create: /usr/local/bin/pre-create.sh
post_create: /usr/local/bin/post-create.sh
pre_delete: /usr/local/bin/pre-delete.sh
post_delete: /usr/local/bin/post-delete.sh
git:
path: /path/to/repos
git: /usr/bin/git
options:
= ==|oRE
- ——template=/path/to/template

when | do it manually with git it work, using this command line :

git init --bare --template=/path/to/template repo.git

Associated revisions

Revision 122 - 19 May 2013 18:18 - Andriy Lesyuk
Applied fixes for #2135, #2137 and #2183
History

#1 - 07 Jan 2013 16:31 - Alexandre Lessard

I've made some tests and the problem is about that line :

http: j .andriyl

append_options(args)

I've replaces it by :
args = append_options(args)

And now it works with me. Maybe there is something better to do.. but I'm a beginner un Ruby so it's my solution.

#2 - 07 Jan 2013 17:22 - Alexandre Lessard

The problem come from the fact that array + array = new array object so the reference is lost in the process.

The problem could also be resolved at :

http://projects.andriylesyuk.com/projects/scm-creator/repository/entry/lib/creator/scm_creator.rb#L.143

replacing :
args += options['options']
By :

options['options'].each do |opt]
args << opt
end

#3 - 09 Apr 2013 09:20 - Andriy Lesyuk
- Status changed from New to Open
- Assignee set to Andriy Lesyuk

- Target version set to 0.4.3

Thanks for looking into it!

#4 - 19 May 2013 17:53 - Andriy Lesyuk
- Due date set to 19 May 2013
- Status changed from Open to In Progress

- % Done changed from 0 to 100

Changed to concat and push. It would be great, if you could ensure, that it works (going to commit changes soon).
http://projects.andriylesyuk.com/projects/scm-creator/repository/entry/lib/creator/git_creator.rb#L61
http://projects.andriylesyuk.com/projects/scm-creator/repository/entry/lib/creator/scm_creator.rb#L143

#5 - 29 Jul 2013 12:43 - Andriy Lesyuk

- Status changed from In Progress to Closed

Assuming it does...
